Nowe posty

xx Strona o testach penetracyjnych, hackingu (34)
Dzisiaj o 11:40:38
xx Repozytorium z czcionkami M$ (2)
Wczoraj o 17:58:30
xx Pomoc w wyborze środowiska graficznego (11)
2022-05-23, 22:41:56
xx Usunąłem przez przypadek /bin co zrobić? (2)
2022-05-23, 21:36:24
xx Obrócony obraz lubuntu, xubuntu na lenovo Miix 320 (6)
2022-05-23, 11:56:25
xx Pierwsze kroki w Arch (9)
2022-05-22, 23:39:51
xx DBus (0)
2022-05-22, 12:47:35
xx Przedni panel (1)
2022-05-20, 01:34:35
xx Modem Medion S4222 jak zainstalować aplikację do jego obsługi? (52)
2022-05-18, 10:14:49
xx Nadawanie uprawnień przy kopiowaniu themes do katalogu (15)
2022-05-17, 21:18:16

Autor Wątek: problemy z instalacja czegokolwiek  (Przeczytany 9938 razy)

bitt69

  • Gość
problemy z instalacja czegokolwiek
« dnia: 2006-12-04, 22:17:25 »
otoz trafilem niedawno na te strone , poniewaz postanowilem rozpoczac przygode z linuxem a ta strona miala byc dla poczatkujacych. tak jednak nie jest. wszedzie jest napisane ze przy instalacji pakietow tar.gz wydac komendy
./coinfigure
make
make install
ale nikt nie wpadl na pomysl zeby podac gdzie sie je wpisuje (bo opis ze wpisuje sie je w katalogu z rozpakowanymi plikami mowi mi tyle ze mam sobie kliknac w wolne pole w tym katalogu i cos wpisac?? - bzdura) i nikt nie wpadl na pomysl zeby podac czy do tych komend trzeba dolaczyc jakies atrybuty.

sledze ta strone w poszukiwaniu rozwiazania juz 3 dzien i jak na razie widze tylko wszedzie to co wyzej opisalem.

zaznaczam ze jestem newbie i ta strona miala rowniez byc dla newbie.
nie smiejcie sie z tego posta bo kazdy z was jakos zaczynal a to juz mnie doprowadza na skraj wytrzymalosci.

Bees

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #1 dnia: 2006-12-04, 23:37:32 »
2006-12-04 22:17:25 bitt69 napisał:

> otoz trafilem niedawno na te strone , poniewaz postanowilem rozpoczac przygode z linuxem a ta
 > strona miala byc dla poczatkujacych. tak jednak nie jest. wszedzie jest napisane ze przy
 > instalacji pakietow tar.gz wydac komendy
 > ./coinfigure
 > make
 > make install
 > ale nikt nie wpadl na pomysl zeby podac gdzie sie je wpisuje (bo opis ze wpisuje sie je w
 > katalogu z rozpakowanymi plikami mowi mi tyle ze mam sobie kliknac w wolne pole w tym katalogu
 > i cos wpisac?? - bzdura) i nikt nie wpadl na pomysl zeby podac czy do tych komend trzeba
 > dolaczyc jakies atrybuty.
 >
 > sledze ta strone w poszukiwaniu rozwiazania juz 3 dzien i jak na razie widze tylko wszedzie to
 > co wyzej opisalem.
 >
 > zaznaczam ze jestem newbie i ta strona miala rowniez byc dla newbie.
 > nie smiejcie sie z tego posta bo kazdy z was jakos zaczynal a to juz mnie doprowadza na skraj
 > wytrzymalosci.

Spokojnie , :)
od poczatku
uruchamiasz konsole
rozpakowujesz
wchodzisz do katalogu gdzie sie rozpakowal program
su
haslo ...
i tam wydajesz te komendy jak napisales wyzej..
sledzisz komunikaty .... do nastepnego kroku przechodzisz jak sie poprzedni wykonal z sukcesem.
Ale to jest hardcore ;) ... sa przeciez prostsze metody kazda dystrybucja zawiera jakis pakiet do instalowania programow ; urpmi, yast, synaptic itp
staraj sie szukac skompilowane juz programy w rpm, deb, itp z nimi zycie jest o wiele prostsze...
Pozdrawiam, Bees!

Frank

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #2 dnia: 2006-12-04, 23:42:48 »
1. Otwierasz konsolę
2. Przechodzisz do katalogu z rozpakowanymi plikami poleceniem:
cd /ścieżka do katalogu np. cd /home/program/kadu
3. Jako root logujesz się dopiero przed: make install

de_laurent

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #3 dnia: 2006-12-05, 14:13:26 »
Rozpoczynasz "przygode" z Linuksem w roku 2006 od instalacji pakietow .tar.gz??

Nie masz niczego lepszego do roboty?
O wiele latwiej, szybciej i przyjemniej jest zaczac przygode z Linuksem od instalacji pakietow .deb lub w najgorszym wypadku .rpm.
Nie wiem jakiej dystrybucji uzywasz, ale mam nadzieje, ze nie jakiegos archaicznego RedHat 7.2... Zainstaluj sobie np. jakias dystrybucje bazujaca na Debianie, np. Kubuntu. Tam uzywa sie np. graficznego programu adept lub synaptic do instalacji oprogramowania.

opioom

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #4 dnia: 2006-12-05, 15:15:22 »
Jak dla mnie to czysty konsolowy apt jest łatwiejszy w obsłudze niż te wszystkie narzędzia graficzne....i zdecydowanie szybszy. Problem w tym, że początkujący strasznie boją się konsoli a to naprawdę świetne narzędzie do zarządzania systemem.


bitt69

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #5 dnia: 2006-12-05, 22:05:56 »
2006-12-05 15:15:22 opioom napisał:

sluchajcie - to ze mamy rok 2006 i sa ulatwienia w linuxie swiadczy tylko o tym ze linux dazy to tego by byc bardziej przyjazny jak windows.
a ja wole go poznac od , jak to napisal kolega, hardcorowej strony i nauczyc sie uzywac konsoli.
system jaki zainstalowalem to aurox 10.1 bo ani mandrake 10.1 ani Ubuntu nie chcialy u mnie ruszyc. komp ma tylko 600mhz procka i 160MB sd-ramu (128+32). to cjest moj drugi komputer i to na nim chce sie uczyc linuxa.

sadzac z wypowiedzi kolegi wyzej 2 posty to do katalogu z rozpakowanymi plikami przechodze w konsoli tak?? a wiec sprobujmy :)


ok wiec udalo mi sie przejsc w konsoli do katalogu i uruchomic komende ./configure kltora zakonczyla sie tak:

configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

teraz nie wiem co dalej bo zajrzalem do pliku config.log i nic z niego za bardzo nie rozumiem - tzn nie wiem co mam tam szukac.

druga sprawa - zeby zainstalowac pakiet .rpm z programem Kadu potrzebuje biblioteki libsndfile ktora wlasnie usiluje zainstalowac i stad te problemy. wie ktos co dalej zrobic??

chmooreck

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #6 dnia: 2006-12-05, 23:06:37 »
2006-12-05 22:05:56 bitt69 napisał:

 > a ja wole go poznac od , jak to napisal kolega, hardcorowej strony i nauczyc sie uzywac
 > konsoli.
 > system jaki zainstalowalem to aurox 10.1 bo ani mandrake 10.1 ani Ubuntu nie chcialy u mnie
 > ruszyc. komp ma tylko 600mhz procka i 160MB sd-ramu (128+32). to cjest moj drugi komputer i to
 > na nim chce sie uczyc linuxa.

zainstaluj sobie slackware'a, skoro chcesz poznawać linuksa od podszewki... potem LFS

 > configure: error: no acceptable C compiler found in $PATH
 > See `config.log' for more details.

niemasz kompilatora C -> zainstaluj (z paczki) gcc

 > druga sprawa - zeby zainstalowac pakiet .rpm z programem Kadu potrzebuje biblioteki libsndfile
 > ktora wlasnie usiluje zainstalowac i stad te problemy. wie ktos co dalej zrobic??

na 100% jest jakaś paczka z tą biblioteką...

lesiulodz

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #7 dnia: 2006-12-05, 23:16:18 »
wiesz co zrób sobie najpierw mały quiz
http://jakilinux.org/jaki-linux/quiz/
zanim zaczniesz korzystać z linuxa, chciałbym powiedzieć też że nie wszysko co spakowane tarem i gz instaluje się poprzez te 3 komendy, czytaj readme i install w plikach

bitt69

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #8 dnia: 2006-12-06, 11:04:44 »
2006-12-05 23:16:18 lesiulodz napisał:

> wiesz co zrób sobie najpierw mały quiz
 > http://jakilinux.org/jaki-linux/quiz/
 > zanim zaczniesz kożystać z linuxa, chciałbym powiedzieć też że nie wszysko co spakowane tarem i
 > gz instaluje się poprzez te 3 komendy, czytaj readme i install w plikach



oto moje wyniki quizu:

1. SUSE Linux
2. Debian GNU/Linux
3. Mandriva Linux
4. Ubuntu Linux
5. Aurox Linux

a wiec aurox miesci sie w pierwszej piatce - co oznacza ze nie zrezygnuje z niego. nie ukrywam ze sprobowalbym tego SuSe ale z tego co wiem jest on platny.

chmooreck

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #9 dnia: 2006-12-06, 11:31:25 »
2006-12-06 11:04:44 bitt69 napisał:

> nie ukrywam
 > ze sprobowalbym tego SuSe ale z tego co wiem jest on platny.

openSUSE nie jest...

bitt69

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #10 dnia: 2006-12-06, 20:13:28 »
2006-12-06 11:31:25 chmooreck napisał:

> 2006-12-06 11:04:44 bitt69 napisał:
 >
 > > nie ukrywam
 >  > ze sprobowalbym tego SuSe ale z tego co wiem jest on platny.
 >
 > openSUSE nie jest...



faktycznie przeoczylem ta opcje.

ale najpierw zajme sie tym:
"niemasz kompilatora C -> zainstaluj (z paczki) gcc"

i postaram sie to zainstalowac. zdam relacje jak poszlo :) bo to pewnie nie koniec problemow :)

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2056
    • Zobacz profil
problemy z instalacja czegokolwiek
« Odpowiedź #11 dnia: 2006-12-07, 03:19:52 »
Witam!
Ja rowniez mam podobny problem!
Korzystam obecnie z Mandriva One 2007 i nie moge nic zainstalowac (prawie nic, poza niektorymi programami), gdyz wyskakuje takie cos:

[roobal@localhost ~]$ cd /home/roobal/gg2-2.3.0
[roobal@localhost gg2-2.3.0]$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/roobal/gg2-2.3.0/missing: Unknown `--run' option
Try `/home/roobal/gg2-2.3.0/missing --help' for more information
configure: WARNING: `missing' script is too old or missing
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking for style of include used by make... none
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.
[roobal@localhost gg2-2.3.0]$


no to trafilem z tym problemem na artykul znajdujacy sie pod tym adresem http://newbie.linux.pl/?id=article&kategoria=3&show=10&kom=1#comments i pomyslalem, ze moze trzeba zainstalowac nowsza wersje gcc (choc na najnowszej mandrivie powinna byc chyba najaktualniejsza wersja, choc roznie bywa i moge sie mylic, no chyba, ze programy sa w starej kompilacji??:D) i podczas instalacji gcc wyskakuje mi takie cos:

[roobal@localhost ~]$ cd /home/roobal/gcc_obj
[roobal@localhost gcc_obj]$ /home/roobal/gcc_zrodla/gcc-3.0.3/configure --prefix=/usr --enable-shared
/home/roobal/gcc_zrodla/gcc-3.0.3/config.guess: line 99: dummy-17617.c: Brak dostępu
Configuring for a i686-pc-linux-gnuoldld host.
touch: nie można dotknąć `config.junk': Brak dostępu
mv: nie można wykonać stat na `config.junk': Nie ma takiego pliku ani katalogu
*** cannot find move-if-change.
[roobal@localhost gcc_obj]$

i tu juz nie wiem co dalej. Z profilu root rowniez nie idzie. Z linuxa korzystam od niedawna, wiec jeszcze nie swiece umiejetnoscia radzenia sobie z takimi problemami i prosze o wpsarcie innych:D

Pozdrawiam!

chmooreck

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #12 dnia: 2006-12-07, 07:49:25 »
2006-12-07 03:19:52 roobal napisał:

 > ...(choc na najnowszej mandrivie powinna byc chyba
 > najaktualniejsza wersja

wersja powinna być ok, pod warunkiem, że paczka z gcc jest zainstalowana...

opioom

  • Gość
problemy z instalacja czegokolwiek
« Odpowiedź #13 dnia: 2006-12-07, 08:52:49 »
Po co zabieracie sie za kompilacje na systemach opartych na rpm? Jesli juz sie zabieracie przeczytajcie chociaz plik Readme albo Install ktory z reguly jest w katalogu ze zrodlami. A tak w ogole to na stronach dotyczacych Mandrivy znajdziesz niejeden artykul mowiacy o tym jak skonfigurowac sobie urpmi, czy jak to sie tak w mandrivie nazywa...
I naprawde nie baw sie w kompilacje na mandrivie.

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2056
    • Zobacz profil
problemy z instalacja czegokolwiek
« Odpowiedź #14 dnia: 2006-12-07, 23:25:26 »
2006-12-07 08:52:49 opioom napisał:

> Po co zabieracie sie za kompilacje na systemach opartych na rpm? Jesli juz sie zabieracie
 > przeczytajcie chociaz plik Readme albo Install ktory z reguly jest w katalogu ze zrodlami. A
 > tak w ogole to na stronach dotyczacych Mandrivy znajdziesz niejeden artykul mowiacy o tym jak
 > skonfigurowac sobie urpmi, czy jak to sie tak w mandrivie nazywa...
 > I naprawde nie baw sie w kompilacje na mandrivie.

Tak tylko, ze jak chce instalowac gcc to mi wyskakuje blad, ktory podalem wyzej (chyba, ze to nie byla instalacja gcc to prossze o wyjasnienie jak to gcc zainstalowac), co do rpm'ow nie wszystko jest na rpm, poza tym rpm'y tez wiekszosc mi nie chce instalowac bo wyskakuje mi znowu takie cos:

"Niektore z wybranych pakietow nie moga byc zainstalowane: audacity1.2.4b (z powodu niesatysfakcjonujacego pakietu libwx_gtk_xrc--2.6.so.0) Czy kontynnuowac pomimo to?"

i do jest wyboru PRZERWIJ lub OK, nawet jak wcisne ok instalacja sie na tym konczy:/

Pozdrawiam!